Name:		quazip
Version:	1.4
Release:	%mkrel 1
Summary:	Qt/C++ wrapper for the minizip library
License:	LGPLv2+
Group:	System/Libraries
URL:		https://github.com/stachenov/quazip
Source0:	https://github.com/stachenov/quazip/archive/v%{version}/%{name}-%{version}.tar.xz
#------------------------------------------------------------
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: zlib1-devel
BuildRequires: lib64zip-devel
#------------------------------------------------------------

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

#------------------------------------------------------------------------------
### Qt5 ###

%define api		1
%define quazip_major	1.4.0
%define libquazip	%mklibname %{name}%{api}-qt5_ %{quazip_major}

%package -n	%{libquazip}
Summary:	Minizip wrapper library for Qt 5.x
Group:		System/Libraries

%description -n	%{libquazip}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt5 runtime library for %{name}.

%files -n %{libquazip}
%{_libdir}/lib%{name}%{api}-qt5.so.%{quazip_major}*
%{_libdir}/lib%{name}%{api}-qt5.so.%{version}

#------------------------------------------------------------------------------

%define develquazip %mklibname %{name}%{api}-qt5 -d

%package -n	%{develquazip}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libquazip} = %{version}-%{release}
Requires:	pkgconfig(libzip)
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}
Provides:	%{name}%{api}-qt5-devel = %{version}-%{release}

%description -n	%{develquazip}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the Qt5 headers files needed to build a package against
%{name}.

%files -n %{develquazip}
%{_includedir}/QuaZip-Qt5-1.4/
%{_libdir}/lib%{name}%{api}-qt5.so
%{_libdir}/cmake/QuaZip-Qt5-1.4/
%{_libdir}/pkgconfig/%{name}%{api}-qt5.pc

### End Qt5 ###

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
### Build Qt5 ###
%cmake_qt5
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%changelog
* Fri Jun 16 2023 pp - 1.4-1pclos2023
- new version

* Sun Jul 04 2021 tex - 1.1-1pclos2021
- new version
